Skip to main content
You can use Razorpay QR Codes to create QR Codes and share them with customers to accept digital payments. You can create and manage QR Codes using APIs or from the Dashboard.

Refer to the QR Code Flow and Integration Checklist before you begin integrating with the APIs for QR Codes.

Create a Customer

POST /v1/customersCreates a customer that you can optionally link when creating a Dynamic QR Code.

Create a QR Code

POST /v1/payments/qr_codesCreates a QR Code.

Close a QR Code

POST /v1/payments/qr_codes/:id/closeCloses a QR Code.

Fetch All QR Codes

GET /v1/payments/qr_codes?count=2Retrieves details of all QR Codes.

Fetch a QR Code with ID

GET /v1/payments/qr_codes/:idRetrieves details of a specific QR Code using id.

Fetch QR Codes for a Customer ID

GET /v1/payments/qr_codes?customer_id=\{customer_id\}Retrieves QR Codes generated for a Customer id.

Fetch QR Codes for a Payment ID

GET /v1/payments/qr_codes?payment_id=\{payment_id\}Retrieves QR Codes by Payment id.

Fetch Payments for a QR Code

GET /v1/payments/qr_codes/:id/paymentsRetrieves payments made on a QR Code.

Update a QR Code

PATCH /v1/payments/qr_codes/:id/paymentsUpdates payments made on a QR Code.

Refund Payments

POST /v1/payments/:id/refundCreates a refund for a payment.